import { VerticalAnchoredCategorySeries } from "./VerticalAnchoredCategorySeries";
import { IBarSeries } from "./IBarSeries";
import { SeriesView } from "./SeriesView";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { Rect } from "igniteui-react-core";
import { Point, Type } from "igniteui-react-core";
import { CategoryFrame } from "./CategoryFrame";
import { List$1 } from "igniteui-react-core";
import { Axis } from "./Axis";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CategorySeriesView } from "./CategorySeriesView";
import { CategoryFramePreparer } from "./CategoryFramePreparer";
import { CategoryMode } from "./CategoryMode";
import { Pool$1 } from "igniteui-react-core";
import { Rectangle } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { CategoryBucketCalculator } from "./CategoryBucketCalculator";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class BarSeries extends VerticalAnchoredCategorySeries implements IBarSeries {
    static $t: Type;
    protected bp(): SeriesView;
    protected p4(): CategoryTransitionInMode;
    kk(a: SeriesView): void;
    sy: BarSeriesView;
    protected get_cu(): boolean;
    n2(a: Point): Rect;
    dy(a: Point, b: boolean): boolean;
    constructor();
    p0(a: CategorySeriesView): CategoryFramePreparer;
    ac(): void;
    sz: number;
    s0: number;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    jl(a: boolean, b: SeriesView): void;
    qx(): number;
    rv(a: CategorySeriesView): number;
    ao(a: Axis): AxisRange;
    dq(a: any): boolean;
    e9(): number;
    rc(a: CategoryFrame, b: CategorySeriesView): void;
    protected jo(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    protected kp(a: any, b: string, c: any, d: any): void;
    getPreferredCategoryMode(): CategoryMode;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class BarBucketCalculator extends CategoryBucketCalculator {
    static $t: Type;
    constructor(a: BarSeriesView);
    protected i: BarSeriesView;
    g(a: number): void;
    getBucketWithoutUnknowns(a: number): number[];
    getBucket(a: number): number[];
    private h;
    private j;
    cacheValues(): void;
    unCacheValues(): void;
}
/**
 * @hidden
 */
export declare class BarSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    da: BarSeries;
    constructor(a: BarSeries);
    db: Pool$1<Rectangle>;
    as(): void;
    di(): Rectangle;
    dc: List$1<Rectangle>;
    dd(a: Rectangle): void;
    df(a: Rectangle): void;
    de(a: Rectangle): void;
    dg(a: Rectangle, b: number, c: number): void;
    cs(): CategoryBucketCalculator;
    protected bf(a: any, b: number): void;
    protected ac(a: number): any;
    private dh;
    protected ab(a: number): any;
    protected a6(a: RenderingContext, b: boolean): void;
    al(a: any): void;
    protected af(): void;
}
